%define name   		ftd4linux
%define version		0.98.4.1
%define svnrel		926
%define rel		4
%define distsuffix	plf
%if %svnrel
%define release %mkrel %rel.%svnrel
%else
%define release %mkrel %rel
%endif
%define summary		A dutch binary newsgroup post announce program
%define major		0
%define libname %mklibname %{name} %{major}

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
URL:            http://www.ftd4linux.nl
License:        BSD
Group:          Networking/File transfer

%if %svnrel
Source0:	%{name}-%{svnrel}.tar.bz2
%else
Source0:	%{name}-%{version}.tar.bz2
%endif
Patch0:		%{name}-MandrivaMenu.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
BuildRequires:	ImageMagick
BuildRequires:	dos2unix
BuildRequires:	libcurl-devel
BuildRequires:	libpcre-devel
BuildRequires:	libgtkhtml2-devel
BuildRequires:	libgtkhtml-3.8-devel
BuildRequires:	libxslt-devel >= 1.0.5
BuildRequires:	nspr-devel
Requires:	%{libname} = %{version}-%{release}

%description
The program FTD is used by many people to tell what they will post and
is therefore a beautiful way to see what is posted in the binary newsgroups.

FTD4Linux is the Open Source equivalent.

This package is in PLF because of Mandriva policy regarding
programs allowing to exchange potentially copyrighted materials

%description -l nl
Het programma FTD wordt gebruikt door veel mensen om te vertellen wat ze
gaan posten en is dus een mooie manier om te zien wat er allemaal in de
binaries nieuwsgroepen gepost wordt.

FTD4Linux is hiervan de Open Source variant.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%if %svnrel
%setup -q -n ftd4linux-devel
%else
%setup -q
%endif
%patch0 -p0 -b .mm

%build
#perl -pi -e "s#1.5.22#1.5.20#g" configure
./autogen.sh
%configure
%make 
dos2unix ChangeLog TODO

%install
rm -rf %{buildroot}
%makeinstall FTD_DATA_DIR=%{buildroot}/usr/share/%{name}

#icons
%define  nameicon gui/include/images/icon.xpm
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} << EOF
?package(ftd4linux): \
command="/usr/bin/ftd4linux_gui" \
icon="ftd4linux.png" \
longtitle="A dutch binary newsgroup post announce program" \
needs="x11" \
section="Internet/File Transfer" \
title="Ftd-linux" \
xdg="true"
EOF

perl -pi -e "s#%{buildroot}##g" %{buildroot}%{_bindir}/ftd


%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
 
%postun -n %{libname} -p /sbin/ldconfig

%post
%{update_desktop_database}
#update_menus

%postun
%{update_desktop_database}
#clean_menus

%files 
%defattr(-,root,root,0755) 
%doc README TODO COPYING AUTHORS ChangeLog
%{_bindir}/*
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

/usr/share/applications/ftd4linux.desktop
/usr/share/applications/ftd4linux_lite.desktop
/usr/share/pixmaps/ftd.png

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/%{name}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/%{name}/*.la
%{_libdir}/%{name}/*.so

%changelog
* Mon Mar 05 2007 Stefan van der Eijk <stefan@zarb.org> 0.98.4.1-4.926
- svnrel 926

* Tue Feb 27 2007 Stefan van der Eijk <stefan@zarb.org> 0.98.4.1-3.907
- svnrel 907
- disable libtool version hack for configure
- fix deps

* Mon Jan 01 2007 Stefan van der Eijk <stefan@zarb.org> 0.98.4.1-2
- fix menu

* Sat Dec 09 2006 Stefan van der Eijk <stefan@zarb.org> 0.98.4.1-1
- 0.98.4.1

* Tue Sep 12 2006 Stefan van der Eijk <stefan@zarb.org> 0.98.3-1
- 0.98.3

* Tue Aug 29 2006 Stefan van der Eijk <stefan@zarb.org> 0.98.2.1-1
- initial PLF package

* Tue Sep 13 2005 Marco Meijer <korrel@mandrakeclub.nl> 0.10.2-1.102mcnl
  new spec file
